PDF::Builder::Basic::PDF::Null(3pm)

NAME
PDF::Builder::Basic::PDF::Null - PDF Null type object

This is a subclass of PDF::Builder::Basic::PDF::Objind and cannot be subclassed

METHODS

  new
    PDF::Builder::Basic::PDF::Null->new()

    Returns the null object. There is only one null object.

  realise
    $s->realise()

    Pretends to finish reading the object.

  outobjdeep
    $s->outobjdeep()

    Output the object in PDF format.

  is_obj
    $s->is_obj()

    Returns false because null is not a full object.

  copy
    $s->copy()

    Another no-op.

  val
    $s->val()

    Return undef.